# SHARP Brain PW-SH4 の文鎮化と復帰に関するレポート
2020年10月19日 電子計算機総合研究所 技術長

## 経緯
2020年2月6日、DiagApp.exe(Selftest Mode)に関する調査を進めていた際、Edit Develop Modeによってリセット後正常なブートが不可能になっていた。

## 復帰の方法
2020年10月19日 ブートローダーは正常に動作していることを確認したPW-SH3においてNAND(eMMC)の全領域ダンプを実行。
その後ダンプしたファイルを頭から読んでいた際にDiagApp.exeを起動させるために編集していたメモリと酷似しているデータ領域を発見。
PW-SH4に対しUSBブートでU-Bootを起動させ、eMMC上の同アドレスに対してreadを行うと明らかに編集された痕跡が存在した。
そのためU-Boot上で当該アドレスの書き換えを実施後リセット。その後正常に辞書機能が起動することを確認した。

## 再発防止策
重要な部分を弄る場合はバックアップとリストア手段の確保を徹底する